import java.awt.*;
import javax.swing.*;


/**
 * A frame that draws a necklace. Can be refreshed.
 * @author Joel
 * @version Sp13
 */
public class NecklaceFrame extends JFrame
{
	private static final int PANEL_HEIGHT = 50; //the height of the frame
	private static final int PANEL_WIDTH = 800; //the width of the frame;
	private static final int CONNECTOR_SIZE = 5; //the length of the connecting twine between beads
	
	private Necklace necklace;
	private NecklacePanel panel; //the panel we'll draw the necklace on
	
	public NecklaceFrame(Necklace necklace)
	{
		this.necklace = necklace; //set the necklace
	
		panel = new NecklacePanel();
		panel.setPreferredSize(new Dimension(PANEL_WIDTH,PANEL_HEIGHT));
		panel.setBackground(Color.WHITE);
		this.getContentPane().add(panel);

    this.setTitle("Bead Necklace");
    this.setResizable(false);
    this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.pack();
		this.setVisible(true);
	}
	
	/**
	 * A private inner class that contains the panel that we're drawing on.
	 * We've overwritten paintComponent to specify our own painting.
	 */
	private class NecklacePanel extends JPanel {
		public void paintComponent(Graphics g)
		{
			//this will "white out" the background of the Panel
			g.setColor(Color.WHITE);
			g.clearRect(0, 0, PANEL_WIDTH, PANEL_HEIGHT);
			g.fillRect(0, 0, PANEL_WIDTH, PANEL_HEIGHT); //erase what has come before



			
			//TODO Your code to draw the necklace should be inserted HERE!!
			//remember to draw both the beads and their connectors!




			
		
		
		}
	}

	/**
	 * A method that "redraws" the frame to update the shown necklace.
	 */
	public void refreshNecklace()
	{
		panel.repaint();
	}
}
